﻿<div class="container">
    <div class="card">
        <h3 class="card-title">Task</h3>

        <button class="btn btn-default btn-success btn-sm" ng-click="CreateTaskfunc()" data-toggle="modal" data-target="#myModal">Add  </button>
        <!--<!--for searchfield-->
        <div class="row">
            <div class="pull-right">
                <label class="control-label">Search <input type="text" ng-model="test"></label>
            </div>
        </div>
        
     <table class="table table-striped" style="width:100%">
         
            <thead>
               
                <tr>
                    <th>#</th>
                    <th>
                        <a href="#" ng-click="sortType = 'Name'; sortReverse = !sortReverse">
                           Task Name
                            <span ng-show="sortType == 'Name' && !sortReverse" class="glyphicon glyphicon-arrow-up"></span>
                            <span ng-show="sortType == 'Name' && sortReverse" class="glyphicon glyphicon-arrow-down"></span>
                        </a>
                    </th>

                    <th>
                        <a href="#" ng-click="sortType = 'Skill'; sortReverse = !sortReverse">
                            Skill
                            <span ng-show="sortType == 'Skill' && !sortReverse" class="glyphicon glyphicon-arrow-up"></span>
                            <span ng-show="sortType == 'Skill' && sortReverse" class="glyphicon glyphicon-arrow-down"></span>
                        </a>
                    </th>   
                    <th col width="250">Description</th>
                    <th>
                        <a href="#" ng-click="sortType = 'AddedDate'; sortReverse = !sortReverse">
                            Added Date
                            <span ng-show="sortType == 'AddedDate' && !sortReverse" class="glyphicon glyphicon-arrow-up"></span>
                            <span ng-show="sortType == 'AddedDate' && sortReverse" class="glyphicon glyphicon-arrow-down"></span>
                        </a>
                    </th>
                    <th>
                        <a href="#" ng-click="sortType = 'EndDate'; sortReverse = !sortReverse">
                            End Date
                            <span ng-show="sortType == 'EndDate' && !sortReverse" class="glyphicon glyphicon-arrow-up"></span>
                            <span ng-show="sortType == 'EndDate' && sortReverse" class="glyphicon glyphicon-arrow-down"></span>
                        </a>
                    </th>
                    <th>Status</th>
                </tr>
            </thead>
            <tbody ng-repeat="items in Tasks|filter: { Name: test }| orderBy:sortType:sortReverse | limitTo:itemsPerPage: (CurrentPage-1) * itemsPerPage" >
                <tr>
                    <td>{{$index+1}}</td>
                    <td>{{items.Name}}</td>
                    <td>{{items.SkillName}}</td>
                    <td>{{items.Description}}</td>
                    <td>{{items.AddedDate}}</td>
                    <td>{{items.EndDate}}</td>
                    <td>{{items.Status}}</td>
                    <td>
                       <div class="pull-right">
                        <button type="button" class="btn btn-success" ng-click="GetById(items.Id)" data-toggle="modal" data-target="#myModal1">Update </button>
                        <button type="button" class="btn btn-success" ng-click="DeleteTask(items.Id)">Delete</button>
                       </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <!--pagination-->
        <div class="row">
            <div class="pull-left">
                <br/>
                    <pre>Page: {{CurrentPage}}/{{numPages}}</pre>
            </div>
            <div class="pull-right">
                <ul uib-pagination total-items="(Tasks|filter:test).length" items-per-page="itemsPerPage" ng-model="CurrentPage" max-size="5" boundary-links="true" num-pages="numPages"></ul>
            </div>
        </div>         
    </div>
</div>

<!--  ADD TASK-->
<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Add Task</h4>
            </div>
            <div class="modal-body">
                <form ng-submit="AddTask(Task)">
                    <div class="form-group">
                        <label class="control-label">Task Name:</label>
                        <input class="form-control" type="text" placeholder="TaskName" ng-model="Task.Name" required>
                       
                    </div>
                   
                    <div class="form-group">
                        <label class="control-label">Skill Name:</label>
                        <select name='SkillName' id="SkillName" class="form-control" ng-model="Task.Id " required>
                            <option value="{{data.Id}}" ng-repeat="data in GetSkill">{{data.SkillName}}</option>
                        </select>
                    </div>

                    <!--<div class="form-group">
                        <label class="control-label"> Select Skill: </label><br>
                        <select class="form-control" placeholder="SelectSkill" ng-model="Task.Skill">
                            <option value="ASP .Net">ASP .Net</option>
                            <option value="Java">Java</option>
                            <option value="Python">Python</option>
                            <option value="Angular js">Angular js</option>
                            <option value="Php">Php</option>
                        </select>
                    </div>-->
                   
                    <div>
                        <label class="control-label"> Description: </label><br>
                        <textarea rows="4" cols="50" placeholder="Write Description" ng-model="Task.Description"></textarea>
                    </div>
                    <div class="form-group">
                        <label class="control-label">End Date:&emsp;</label>
                        <input type="date" id="date" name="input" ng-model="Task.EndDate" required
                               placeholder="yyyy-MM-dd" min="2001-01-01" max="2020-12-31" />
                    </div>
                   
                        <div class="form-group">
                            <label class="control-label">Status:&emsp;</label>
                            <input type="checkbox" placeholder="status" ng-model="Task.Status" >
                        </div>
                        <div>
                            <button type="submit" class="btn btn-primary icon-btn"><i class="fa fa-fw fa-lg fa-check-circle"></i>Save</button>
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        </div>
                </form>
            </div>
        </div>
    </div>
</div>





<div class="modal fade" id="myModal1" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Edit Task</h4>
            </div>
            <div class="modal-body">
                <form ng-submit="UpdateTask(Task)">
                    <div class="form-group">
                        <label class="control-label">Task Name:</label>
                        <input class="form-control" type="text" placeholder="TaskName" ng-model="Task.Name" required>
                    </div>
                 
                    <!--<div class="form-group">
                        <label for="Users" class="control-label">Skill</label>
                        <select name='Name' id="Name" class="form-control" ng-model="Task.Skill" ng-options="Data as Data.Skill for Data in Tasks" required>
                            <option value="" disabled>Select Skill</option>
                        </select>
                    </div>-->
                    <!--<div class="form-group">
                        <label class="control-label"> Select Skill: </label><br>
                        <select class="form-control" placeholder="SelectSkill" ng-model="Task.Skill">
                            <option value="ASP .Net">ASP .Net</option>
                            <option value="Java">Java</option>
                            <option value="Python">Python</option>
                            <option value="Angular js">Angular js</option>
                            <option value="Php">Php</option>
                        </select>
                    </div>-->
                    <div>
                        <label class="control-label"> Description: </label><br>
                        <textarea rows="4" cols="50" placeholder="Write Description" ng-model="Task.Description"></textarea>
                    </div>
                    <div class="form-group">
                        <label class="control-label">End Date:&emsp;</label>
                        <input type="date" id="date" name="input" ng-model="Task.EndDate"required
                               placeholder="yyyy-MM-dd" min="2001-01-01" max="2020-12-31"  />
                    </div>
                    <div class="form-group">
                        <label class="control-label">Status:&emsp;</label>
                        <input type="checkbox" placeholder="status" ng-model="Task.Status">
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary icon-btn"><i class="fa fa-fw fa-lg fa-check-circle"></i>Save</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


